libberkeleydb-perl_0.55-1build4_i386.deb


Advertisement

Description

libberkeleydb-perl - use Berkeley DB databases from Perl

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main i386
Package filename libberkeleydb-perl_0.55-1build4_i386.deb
Package name libberkeleydb-perl
Package version 0.55
Package release 1build4
Package architecture i386
Package type deb
Category perl
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 113.85 KB
Installed size 422.00 KB
Provides BerkeleyDB::Hash, BerkeleyDB::Btree etc. classes that allow
access to Berkeley DB databases as if they were normal Perl hash
tables.
Supports all the features of Berkeley DB such as sharing cache and
lock memory between processes, logging and transactions.

Alternatives

Package Version Architecture Repository
libberkeleydb-perl_0.55-1build4_amd64.deb 0.55 amd64 Ubuntu Main
libberkeleydb-perl - - -

Requires

Name Value
libc6 >= 2.4
libdb5.3 -
perl >= 5.26.1-2ubuntu1
perlapi-5.26.1 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libberkeleydb-perl_0.55-1build4_i386.deb
Source Package libberkeleydb-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libberkeleydb-perl deb package:
    # sudo apt-get install libberkeleydb-perl

Files

Path
/usr/lib/i386-linux-gnu/perl5/5.26/BerkeleyDB.pm
/usr/lib/i386-linux-gnu/perl5/5.26/BerkeleyDB.pod
/usr/lib/i386-linux-gnu/perl5/5.26/BerkeleyDB/Btree.pm
/usr/lib/i386-linux-gnu/perl5/5.26/BerkeleyDB/Hash.pm
/usr/lib/i386-linux-gnu/perl5/5.26/auto/BerkeleyDB/BerkeleyDB.so
/usr/share/doc/libberkeleydb-perl/changelog.Debian.gz
/usr/share/doc/libberkeleydb-perl/copyright
/usr/share/man/man3/BerkeleyDB.3pm.gz

Changelog

2017-11-02 - Steve Langasek <steve.langasek@ubuntu.com>
libberkeleydb-perl (0.55-1build4) bionic; urgency=medium
* No-change rebuild against perlapi-5.26.1
2017-07-26 - Matthias Klose <doko@ubuntu.com>
libberkeleydb-perl (0.55-1build3) artful; urgency=medium
* No-change rebuild for perl 5.26.0.
2016-10-24 - Iain Lane <iain@orangesquash.org.uk>
libberkeleydb-perl (0.55-1build2) zesty; urgency=medium
* No-change rebuild for perl 5.24 transition
2015-12-17 - Colin Watson <cjwatson@ubuntu.com>
libberkeleydb-perl (0.55-1build1) xenial; urgency=medium
* Rebuild for Perl 5.22.1.
2015-03-08 - Marco d'Itri <md@linux.it>
libberkeleydb-perl (0.55-1) unstable; urgency=medium
* New upstream release.
2014-06-01 - Marco d'Itri <md@linux.it>
libberkeleydb-perl (0.54-2) unstable; urgency=medium
* Do not hardcode /usr/lib/perl5 in debian/rules.
2013-12-30 - Marco d'Itri <md@linux.it>
libberkeleydb-perl (0.54-1) unstable; urgency=medium
* New upstream release.
2013-08-25 - Marco d'Itri <md@linux.it>
libberkeleydb-perl (0.53-1) unstable; urgency=low
* New upstream release.
* Use dh_md5sums. (Closes: #719206)
2012-05-14 - Marco d'Itri <md@linux.it>
libberkeleydb-perl (0.51-1) unstable; urgency=low
* Support dpkg-buildflags.
* Fix hardened builds. (Closes: #661381)
2011-11-27 - Marco d'Itri <md@linux.it>
libberkeleydb-perl (0.49-1) unstable; urgency=low
* New upstream release.
* Depend on libdb-dev.

See Also

Package Description
libbind-dev_9.11.3+dfsg-1ubuntu1_i386.deb Static Libraries and Headers used by BIND
libbind-export-dev_9.11.3+dfsg-1ubuntu1_i386.deb Development files for the exported BIND libraries
libbind9-160_9.11.3+dfsg-1ubuntu1_i386.deb BIND9 Shared Library used by BIND
libbinutils_2.30-15ubuntu1_i386.deb GNU binary utilities (private shared library)
libbison-dev_3.0.4.dfsg-1build1_i386.deb YACC-compatible parser generator - development library
libblas-dev_3.7.1-4ubuntu1_i386.deb Basic Linear Algebra Subroutines 3, static library
libblas3_3.7.1-4ubuntu1_i386.deb Basic Linear Algebra Reference implementations, shared library
libblkid-dev_2.31.1-0.4ubuntu3_i386.deb block device ID library - headers and static libraries
libblkid1_2.31.1-0.4ubuntu3_i386.deb block device ID library
libblockdev-crypto-dev_2.16-2_i386.deb Crypto plugin for libblockdev - development
libblockdev-crypto2_2.16-2_i386.deb Crypto plugin for libblockdev
libblockdev-dev_2.16-2_i386.deb Library for manipulating block devices - development
libblockdev-dm-dev_2.16-2_i386.deb Device Mapper plugin for libblockdev - development
libblockdev-dm2_2.16-2_i386.deb Device Mapper plugin for libblockdev
libblockdev-fs-dev_2.16-2_i386.deb file system plugin for libblockdev - development
Advertisement
Advertisement